# Go API client for swagger

NWS advisories, watches and warnings for latitude/longitude points and OnPoint™ points. The Weather Source NWS Warnings API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.      **IMPORTANT:** To authenticate to the Weather Source NWS Warnings API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 2.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.go.GoClientCodegen
For more information, please visit [https://developer.weathersourceapis.com/](https://developer.weathersourceapis.com/)

## Installation
Put the package under your project folder and add the following in import:
```golang
import "./swagger"
```

## Documentation for API Endpoints

All URIs are relative to *https://nwswarnings.weathersourceapis.com/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*OnpointsApi* | [**OnpointsOnpointIdGet**](docs/OnpointsApi.md#onpointsonpointidget) | **Get** /onpoints/{onpointId} | NWS advisories, watches and warnings for an OnPoint™ point.
*PointsApi* | [**PointsLatitudelongitudeGet**](docs/PointsApi.md#pointslatitudelongitudeget) | **Get** /points/{latitude},{longitude} | NWS advisories, watches and warnings for a Latitude/Longitude point.

## Documentation For Models

 - [BoundingPointsInner](docs/BoundingPointsInner.md)
 - [ErrorObj](docs/ErrorObj.md)
 - [FieldListObj](docs/FieldListObj.md)
 - [Grid](docs/Grid.md)
 - [NwsWarningsObj](docs/NwsWarningsObj.md)
 - [NwsWarningsOnpointObj](docs/NwsWarningsOnpointObj.md)
 - [NwsWarningsPointObj](docs/NwsWarningsPointObj.md)
 - [OnpointObj](docs/OnpointObj.md)
 - [PhenomCode](docs/PhenomCode.md)
 - [PhenomDesc](docs/PhenomDesc.md)
 - [PointObj](docs/PointObj.md)
 - [Significance](docs/Significance.md)

## Documentation For Authorization

## ApiKeyAuth
- **Type**: API key 

Example
```golang
auth := context.WithValue(context.Background(), sw.ContextAPIKey, sw.APIKey{
	Key: "APIKEY",
	Prefix: "Bearer", // Omit if not necessary.
})
r, err := client.Service.Operation(auth, args)
```

## Author

support@weathersource.com
