# {{classname}}

All URIs are relative to *https://nwswarnings.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PointsLatitudelongitudeGet**](PointsApi.md#PointsLatitudelongitudeGet) | **Get** /points/{latitude},{longitude} | NWS advisories, watches and warnings for a Latitude/Longitude point.

# **PointsLatitudelongitudeGet**
> NwsWarningsPointObj PointsLatitudelongitudeGet(ctx, latitude, longitude)
NWS advisories, watches and warnings for a Latitude/Longitude point.

Returns NWS advisories, watches and warnings data for a Latitude/Longitude point.  **IMPORTANT:** To authenticate to the Weather Source NWS Warnings API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 

### Return type

[**NwsWarningsPointObj**](nwsWarningsPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

