/*
 * NWS Warnings - A Weather Source API
 *
 * NWS advisories, watches and warnings for latitude/longitude points and OnPoint™ points. The Weather Source NWS Warnings API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.      **IMPORTANT:** To authenticate to the Weather Source NWS Warnings API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// An OnPoint™ point location metadata object
type OnpointObj struct {
	OnpointId int32 `json:"onpointId"`
	Latitude float32 `json:"latitude"`
	Longitude float32 `json:"longitude"`
	Timezone string `json:"timezone"`
	CountryCode string `json:"countryCode,omitempty"`
	CountryName string `json:"countryName,omitempty"`
	SubdivCode string `json:"subdivCode,omitempty"`
	SubdivName string `json:"subdivName,omitempty"`
	Grid *Grid `json:"grid"`
	Elevation float32 `json:"elevation"`
}
