/*
 * NWS Warnings - A Weather Source API
 *
 * NWS advisories, watches and warnings for latitude/longitude points and OnPoint™ points. The Weather Source NWS Warnings API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.      **IMPORTANT:** To authenticate to the Weather Source NWS Warnings API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
// PhenomCode : A 2-character string indicating the phenomena for which the advisory, watch, or warning was issued.
type PhenomCode string

// List of phenomCode
const (
	AF_PhenomCode PhenomCode = "AF"
	AS_PhenomCode PhenomCode = "AS"
	BH_PhenomCode PhenomCode = "BH"
	BW_PhenomCode PhenomCode = "BW"
	BZ_PhenomCode PhenomCode = "BZ"
	CF_PhenomCode PhenomCode = "CF"
	DF_PhenomCode PhenomCode = "DF"
	DS_PhenomCode PhenomCode = "DS"
	DU_PhenomCode PhenomCode = "DU"
	EC_PhenomCode PhenomCode = "EC"
	EH_PhenomCode PhenomCode = "EH"
	EW_PhenomCode PhenomCode = "EW"
	FA_PhenomCode PhenomCode = "FA"
	FF_PhenomCode PhenomCode = "FF"
	FG_PhenomCode PhenomCode = "FG"
	FL_PhenomCode PhenomCode = "FL"
	FR_PhenomCode PhenomCode = "FR"
	FW_PhenomCode PhenomCode = "FW"
	FZ_PhenomCode PhenomCode = "FZ"
	GL_PhenomCode PhenomCode = "GL"
	HF_PhenomCode PhenomCode = "HF"
	HT_PhenomCode PhenomCode = "HT"
	HU_PhenomCode PhenomCode = "HU"
	HW_PhenomCode PhenomCode = "HW"
	HY_PhenomCode PhenomCode = "HY"
	HZ_PhenomCode PhenomCode = "HZ"
	IS_PhenomCode PhenomCode = "IS"
	LE_PhenomCode PhenomCode = "LE"
	LO_PhenomCode PhenomCode = "LO"
	LS_PhenomCode PhenomCode = "LS"
	LW_PhenomCode PhenomCode = "LW"
	MA_PhenomCode PhenomCode = "MA"
	MF_PhenomCode PhenomCode = "MF"
	MH_PhenomCode PhenomCode = "MH"
	MS_PhenomCode PhenomCode = "MS"
	RP_PhenomCode PhenomCode = "RP"
	SC_PhenomCode PhenomCode = "SC"
	SE_PhenomCode PhenomCode = "SE"
	SM_PhenomCode PhenomCode = "SM"
	SQ_PhenomCode PhenomCode = "SQ"
	SR_PhenomCode PhenomCode = "SR"
	SS_PhenomCode PhenomCode = "SS"
	SU_PhenomCode PhenomCode = "SU"
	SV_PhenomCode PhenomCode = "SV"
	TO_PhenomCode PhenomCode = "TO"
	TR_PhenomCode PhenomCode = "TR"
	TS_PhenomCode PhenomCode = "TS"
	TY_PhenomCode PhenomCode = "TY"
	UP_PhenomCode PhenomCode = "UP"
	WC_PhenomCode PhenomCode = "WC"
	WI_PhenomCode PhenomCode = "WI"
	WS_PhenomCode PhenomCode = "WS"
	WW_PhenomCode PhenomCode = "WW"
	ZF_PhenomCode PhenomCode = "ZF"
	ZY_PhenomCode PhenomCode = "ZY"
)
