/*
 * NWS Warnings - A Weather Source API
 *
 * NWS advisories, watches and warnings for latitude/longitude points and OnPoint™ points. The Weather Source NWS Warnings API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.      **IMPORTANT:** To authenticate to the Weather Source NWS Warnings API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
// PhenomDesc : Description of the phenomena for which the advisory, watch, or warning was issued.
type PhenomDesc string

// List of phenomDesc
const (
	ASHFALL__LAND_PhenomDesc PhenomDesc = "Ashfall (land)"
	AIR_STAGNATION_PhenomDesc PhenomDesc = "Air Stagnation"
	BEACH_HAZARD_PhenomDesc PhenomDesc = "Beach Hazard"
	BRISK_WIND_PhenomDesc PhenomDesc = "Brisk Wind"
	BLIZZARD_PhenomDesc PhenomDesc = "Blizzard"
	COASTAL_FLOOD_PhenomDesc PhenomDesc = "Coastal Flood"
	DEBRIS_FLOW_PhenomDesc PhenomDesc = "Debris Flow"
	DUST_STORM_PhenomDesc PhenomDesc = "Dust Storm"
	BLOWING_DUST_PhenomDesc PhenomDesc = "Blowing Dust"
	EXTREME_COLD_PhenomDesc PhenomDesc = "Extreme Cold"
	EXCESSIVE_HEAT_PhenomDesc PhenomDesc = "Excessive Heat"
	EXTREME_WIND_PhenomDesc PhenomDesc = "Extreme Wind"
	FLOOD_PhenomDesc PhenomDesc = "Flood"
	FLASH_FLOOD_PhenomDesc PhenomDesc = "Flash Flood"
	DENSE_FOG__LAND_PhenomDesc PhenomDesc = "Dense Fog (land)"
	FLOOD__FORECAST_POINT_PhenomDesc PhenomDesc = "Flood (forecast point)"
	FROST_PhenomDesc PhenomDesc = "Frost"
	FIRE_WEATHER_PhenomDesc PhenomDesc = "Fire Weather"
	FREEZE_PhenomDesc PhenomDesc = "Freeze"
	GALE_PhenomDesc PhenomDesc = "Gale"
	HURRICANE_FORCE_WIND_PhenomDesc PhenomDesc = "Hurricane Force Wind"
	HEAT_PhenomDesc PhenomDesc = "Heat"
	HURRICANE_PhenomDesc PhenomDesc = "Hurricane"
	HIGH_WIND_PhenomDesc PhenomDesc = "High Wind"
	HYDROLOGIC_PhenomDesc PhenomDesc = "Hydrologic"
	HARD_FREEZE_PhenomDesc PhenomDesc = "Hard Freeze"
	ICE_STORM_PhenomDesc PhenomDesc = "Ice Storm"
	LAKE_EFFECT_SNOW_PhenomDesc PhenomDesc = "Lake Effect Snow"
	LOW_WATER_PhenomDesc PhenomDesc = "Low Water"
	LAKESHORE_FLOOD_PhenomDesc PhenomDesc = "Lakeshore Flood"
	LAKE_WIND_PhenomDesc PhenomDesc = "Lake Wind"
	MARINE_PhenomDesc PhenomDesc = "Marine"
	DENSE_FOG__MARINE_PhenomDesc PhenomDesc = "Dense Fog (marine)"
	ASHFALL__MARINE_PhenomDesc PhenomDesc = "Ashfall (marine)"
	DENSE_SMOKE__MARINE_PhenomDesc PhenomDesc = "Dense Smoke (marine)"
	RIP_CURRENT_RISK_PhenomDesc PhenomDesc = "Rip Current Risk"
	SMALL_CRAFT_PhenomDesc PhenomDesc = "Small Craft"
	HAZARDOUS_SEAS_PhenomDesc PhenomDesc = "Hazardous Seas"
	DENSE_SMOKE__LAND_PhenomDesc PhenomDesc = "Dense Smoke (land)"
	SNOW_SQUALL_PhenomDesc PhenomDesc = "Snow Squall"
	STORM_PhenomDesc PhenomDesc = "Storm"
	STORM_SURGE_PhenomDesc PhenomDesc = "Storm Surge"
	HIGH_SURF_PhenomDesc PhenomDesc = "High Surf"
	SEVERE_THUNDERSTORM_PhenomDesc PhenomDesc = "Severe Thunderstorm"
	TORNADO_PhenomDesc PhenomDesc = "Tornado"
	TROPICAL_STORM_PhenomDesc PhenomDesc = "Tropical Storm"
	TSUNAMI_PhenomDesc PhenomDesc = "Tsunami"
	TYPHOON_PhenomDesc PhenomDesc = "Typhoon"
	HEAVY_FREEZING_SPRAY_PhenomDesc PhenomDesc = "Heavy Freezing Spray"
	WIND_CHILL_PhenomDesc PhenomDesc = "Wind Chill"
	WIND_PhenomDesc PhenomDesc = "Wind"
	WINTER_STORM_PhenomDesc PhenomDesc = "Winter Storm"
	WINTER_WEATHER_PhenomDesc PhenomDesc = "Winter Weather"
	FREEZING_FOG_PhenomDesc PhenomDesc = "Freezing Fog"
	FREEZING_SPRAY_PhenomDesc PhenomDesc = "Freezing Spray"
)
